| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# question

$Revision: 1.4 $

$Date: 2002/06/12 11:18:30 $

question — A question in a `QandASet`

## Synopsis

### Content Model

    question ::=
    (label?,
     (calloutlist|glosslist|itemizedlist|orderedlist|segmentedlist|
      simplelist|variablelist|caution|important|note|tip|warning|
      literallayout|programlisting|programlistingco|screen|screenco|
      screenshot|synopsis|cmdsynopsis|funcsynopsis|classsynopsis|
      fieldsynopsis|constructorsynopsis|destructorsynopsis|
      methodsynopsis|formalpara|para|simpara|address|blockquote|
      graphic|graphicco|mediaobject|mediaobjectco|informalequation|
      informalexample|informalfigure|informaltable|equation|example|
      figure|table|procedure|anchor|bridgehead|remark|highlights|
      indexterm)+)

### Attributes

Common attributes

## Description

A `Question` in a `QandAEntry` poses a question or states a problem that is addressed by the following `Answer`(s). `Answer`s are optional (some questions have no answers) and may be repeated (some questions have more than one answer).

### Processing expectations

`Question`s are frequently introduced with a label, such as “A:”. If a `Question` has a `Label` child element, the content of that `Label` is used as the label for the `Question`. The `DefaultLabel` attribute on the nearest ancestor `QandASet` of a `Question` can be used to indicate that a processing application should automatically generate a label for the `Question`.

### Parents

These elements contain question: `qandaentry`.

### Children

The following elements occur in question: `address`, `anchor`, `blockquote`, `bridgehead`, `calloutlist`, `caution`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `highlights`, `important`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `label`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `note`, `orderedlist`, `para`, `procedure`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `simpara`, `simplelist`, `synopsis`, `table`, `tip`, `variablelist`, `warning`.

## Examples

For examples, see `qandaset`.

qandaset |  | quote

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.